--[[
	Модуль инкапсулирует работу с профайлом, специфичную для игры.
]]
profile = {}

-- устанавливает значение внутренней пременной текущего профайла
-- _variable - название переменной
-- _value - новое значение переменной, должно быть числом
function profile.SetVariable(_variable, _value)
	if not game then return end
	
	local cur_profile = game.g_ProfileManager.Instance().GetCurrentProfile()
	__assert(cur_profile, "Не установлен текущий профиль пользователя!")
	__assert(type(_value) == "number", "Значение переменной должно быть числом.")
	cur_profile.SetVariableValue(_variable, _value)
end

-- получает значение внутренней пременной текущего профайла
function profile.GetVariable(_variable)
	if not game then return 0 end
	
	local cur_profile = game.g_ProfileManager.Instance().GetCurrentProfile()
	__assert(cur_profile, "Не установлен текущий профиль пользователя!")
	return cur_profile.GetVariableValue(_variable)
end
